import { StateAdapter } from '../state-adapter';
export type FileAdapterConfig = {
    filePath: string;
};
export declare class FileStateAdapter implements StateAdapter {
    private filePath;
    constructor(config: FileAdapterConfig);
    init(): Promise<void>;
    get(traceId: string, key: string): Promise<any>;
    set<T>(traceId: string, key: string, value: T): Promise<void>;
    delete(traceId: string, key: string): Promise<void>;
    clear(traceId: string): Promise<void>;
    keys(traceId: string): Promise<string[]>;
    traceIds(): Promise<string[]>;
    cleanup(): Promise<void>;
    private _makeKey;
    private _readFile;
    private _writeFile;
}
